Get Polymarket perps order book
Get the Polymarket perps order book for one instrument.
Headers
Get your API keyAPI key (`sfk_...`)
Perps instrument id from the instruments list.
pattern: ^\d{1,6}$
Price levels per side: 10, 100, 500 or 1000. Default: 10.
one of: 10, 100, 500, 1000
Endpoint-specific response payload.
`not_found` when no instrument has this id (an unknown id answers an empty book).
one of: found, not_found
The instrument asked for.
Best (highest) first.
Price.
Contracts at this price.
Best (lowest) first.
Price.
Contracts at this price.
Time of this book snapshot (ISO-8601, UTC).
Metadata describing the request and billing outcome.
Unique request identifier for tracing this API call.
min 1 chars
Credits charged for this request.
≥ 0
Public API version that served the response.
one of: v1
Code example
curl "https://api.socialfetch.dev/v1/polymarket/perps/instruments/1/book?depth=10" \
-H "x-api-key: YOUR_API_KEY"Responses
Polymarket perps order book.